Skip to main content
`Ctrl`+`K`

# Refactorization data types

hipSOLVER defines types and enumerations that are internally converted to the corresponding backend types at runtime. Here is a list of the types used in this compatibility API.

## hipSOLVER compatibility API types

### hipsolverRfHandle_t

typedef void *hipsolverRfHandle_t

### hipsolverRfFactorization_t

enum hipsolverRfFactorization_t

  Values:

  enumerator HIPSOLVERRF_FACTORIZATION_ALG0
  enumerator HIPSOLVERRF_FACTORIZATION_ALG1
  enumerator HIPSOLVERRF_FACTORIZATION_ALG2

### hipsolverRfMatrixFormat_t

enum hipsolverRfMatrixFormat_t

  Values:

  enumerator HIPSOLVERRF_MATRIX_FORMAT_CSR
  enumerator HIPSOLVERRF_MATRIX_FORMAT_CSC

### hipsolverRfNumericBoostReport_t

enum hipsolverRfNumericBoostReport_t

  Values:

  enumerator HIPSOLVERRF_NUMERIC_BOOST_NOT_USED
  enumerator HIPSOLVERRF_NUMERIC_BOOST_USED

### hipsolverRfResetValuesFastMode_t

enum hipsolverRfResetValuesFastMode_t

  Values:

  enumerator HIPSOLVERRF_RESET_VALUES_FAST_MODE_OFF
  enumerator HIPSOLVERRF_RESET_VALUES_FAST_MODE_ON

### hipsolverRfTriangularSolve_t

enum hipsolverRfTriangularSolve_t

  Values:

  enumerator HIPSOLVERRF_TRIANGULAR_SOLVE_ALG1
  enumerator HIPSOLVERRF_TRIANGULAR_SOLVE_ALG2
  enumerator HIPSOLVERRF_TRIANGULAR_SOLVE_ALG3

### hipsolverRfUnitDiagonal_t

enum hipsolverRfUnitDiagonal_t

  Values:

  enumerator HIPSOLVERRF_UNIT_DIAGONAL_STORED_L
  enumerator HIPSOLVERRF_UNIT_DIAGONAL_STORED_U
  enumerator HIPSOLVERRF_UNIT_DIAGONAL_ASSUMED_L
  enumerator HIPSOLVERRF_UNIT_DIAGONAL_ASSUMED_U

### hipsolverStatus_t

See hipsolverStatus_t.